Subject: I-D Action: draft-mattsson-cose-cbor-cert-compress-00.txt

From: [email-masked]
Date: Mon, 09 Mar 2020 13:21:22 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : CBOR Object Signing and Encryption (COSE): Headers for Carrying CBOR Compressed Certificates
        Authors         : John Preuss Mattsson
                          Göran Selander
                          Shahid Raza
                          Joel Höglund
                          Martin Furuhed
	Filename        : draft-mattsson-cose-cbor-cert-compress-00.txt
	Pages           : 6
	Date            : 2020-03-09

Abstract:
   Certificate chains often take up the majority of the bytes
   transmitted in COSE message that carry certificates.  Large messages
   can cause problems, particularly in constrained IoT environments.
   RFC 7925 defines a certificate profile for constrained IoT.  General
   purpose compression algorithms can in many cases not compress RFC
   7925 profiled certificates at all.  By using the fact that the
   certificates are profiled, the CBOR certificate compression
   algorithms can in many cases compress RFC 7925 profiled certificates
   with over 50%. This document specifies the CBOR certificate
   compression algorithm for use with COSE.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-mattsson-cose-cbor-cert-compress/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-mattsson-cose-cbor-cert-compress-00
https://datatracker.ietf.org/doc/html/draft-mattsson-cose-cbor-cert-compress-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/